Subject: bug#127 closed by Mark Hindley <[email-masked]> (Re: bug#127: wicd-curses crashes when associated with a WLAN having non-ascii characters in the SSID)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 11 Jan 2023 07:26:02 +0000

This is an automatic notification regarding your bug report
which was filed against the wicd-curses package:

#127: wicd-curses crashes when associated with a WLAN having non-ascii characters in the SSID

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
127: https://bugs.devuan.org/cgi/bugreport.cgi?bug=127
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#127: wicd-curses crashes when associated with a WLAN having non-ascii characters in the SSID
From: Mark Hindley <[email-masked]>
To: Moritz Strohm <[email-masked]>, [email-masked]
Date: Wed, 11 Jan 2023 07:22:43 +0000

On Wed, Aug 02, 2017 at 05:54:44PM +0000, Moritz Strohm wrote:
> Package: wicd-curses
> Version: 1.7.2.4-4.1

Closing as wicd is no longer available in recent suites.

Mark

Subject: wicd-curses crashes when associated with a WLAN having non-ascii characters in the SSID
From: Moritz Strohm <[email-masked]>
To: [email-masked]
Date: Wed, 2 Aug 2017 17:54:44 +0000

Package: wicd-curses
Version: 1.7.2.4-4.1

Hello

I tried to associate to a wireless network that has a non-ascii character
in the SSID. The non-ascii character is the letter "ü".
Displaying the network in the wireless network list in
wicd-curses works but as soon as my computer was associated with that
wireless network wicd-curses crashed. When I try to start wicd-curses
again it crashes immediately. It stopped crashing after I unassociated
my computer from the wireless network (using wicd-gtk).

wicd-curses produces the following error messages when crashing:

Traceback (most recent call last):
  File "/usr/share/wicd/curses/wicd-curses.py", line 1063, in <module>
    main()
  File "/usr/share/wicd/curses/wicd-curses.py", line 995, in main
    ui.run_wrapper(run)
  File "/usr/lib/python2.7/dist-packages/urwid/raw_display.py", line 268, in run_wrapper
    return fn()
  File "/usr/share/wicd/curses/wicd-curses.py", line 88, in wrapper
    return func(*args, **kargs)
  File "/usr/share/wicd/curses/wicd-curses.py", line 1003, in run
    app = appGUI()
  File "/usr/share/wicd/curses/wicd-curses.py", line 591, in __init__
    self.update_status()
  File "/usr/share/wicd/curses/wicd-curses.py", line 88, in wrapper
    return func(*args, **kargs)
  File "/usr/share/wicd/curses/wicd-curses.py", line 734, in update_status
    self.set_status):
  File "/usr/share/wicd/curses/wicd-curses.py", line 88, in wrapper
    return func(*args, **kargs)
  File "/usr/share/wicd/curses/wicd-curses.py", line 159, in check_for_wireless
    ('$A', network).replace
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 2: ordinal not in range(128)

I'm using Devuan GNU/Linux Jessie (x86 architectur) with kernel 3.16.0-4-686-pae.

Regards
Moritz Strohm